<?php



/* ---------------------------- tabs post widget ---------------------------- */



class BestTabsPost extends WP_Widget {

    /** constructor */

    function BestTabsPost() {

        parent::WP_Widget(false, $name = 'Tabs Post');	

    }



    /** @see WP_Widget::widget */

    function widget($args, $instance) {		

        extract( $args );

        $title = apply_filters('widget_title', $instance['title']);



        ?>

              <?php echo $before_widget; ?>

                  <?php if ( $title )

                        echo $before_title . $title . $after_title; ?>

 

          <div id="tabbed-reviews">

            <ul class="tabnav">

							<li><a href="#fragment-1">Popular</a></li>

							<li><a href="#fragment-2">Recent</a></li>

							<li><a href="#fragment-3">Comments</a></li>

						</ul> 

          <div class="tabdiv-wrapper">						  				             

              <div id="fragment-1" class="tabdiv">

                    

                      <ul>        

                      <?php query_posts("orderby=comment_count&showposts=5"); while ( have_posts() ) : the_post() ?>  
                      <?php  $image = wp_get_attachment_image_src( get_post_thumbnail_id( $post->ID ), 'thumbnail' ); ?>         

                        <li class="box">

                          
 <?php if($image[0]<>''){ ?> 
	 <div class="col-sm-4"><a href="<?php the_permalink(); ?>"><img src="<?php echo $image[0]; ?>" alt="<?php the_title(); ?>" width="100%"/></a></div>
<?php } ?>                            
                          
                          

                          <div class="col-sm-8">

                            <a href="<?php the_permalink() ?>"><?php if (strlen($post->post_title) > 35) { echo substr(the_title($before = '', $after = '', FALSE), 0, 35) . '...'; } else {the_title();} ?></a><div class="date"><?php the_time('M jS, Y') ?> <?php comments_popup_link('No Comments', '1 Comment', '% Comments', 'comments-link', ''); ?></div>         

                          </div>

                          <div class="clear"></div>

                        </li>

                      <?php endwhile; ?> 

                      <?php wp_reset_query(); ?>	

                     

                      </ul>

              </div>        

              <div id="fragment-2" class="tabdiv">

                      <ul>        

                      <?php query_posts("orderby=date&showposts=5"); while ( have_posts() ) : the_post() ?>           
                      <?php  $image = wp_get_attachment_image_src( get_post_thumbnail_id( $post->ID ), 'thumbnail' ); ?> 
                        <li class="box">

 <?php if($image[0]<>''){ ?> 
	 <div class="col-sm-4"><a href="<?php the_permalink(); ?>"><img src="<?php echo $image[0]; ?>" alt="<?php the_title(); ?>" width="100%"/></a></div>
<?php } ?> 

                          <div class="col-sm-8">

                            <a href="<?php the_permalink() ?>"><?php if (strlen($post->post_title) > 35) { echo substr(the_title($before = '', $after = '', FALSE), 0, 35) . '...'; } else {the_title();} ?></a><div class="date"><?php the_time('M jS, Y') ?> <?php comments_popup_link('No Comments', '1 Comment', '% Comments', 'comments-link', ''); ?></div>      

                          </div>

                          <div class="clear"></div>

                        </li>

                      <?php endwhile; ?> 

                      <?php wp_reset_query(); ?>	

                     

                      </ul>

              </div>        

              <div id="fragment-3" class="tabdiv">

                <ul class="commentlist">

                <?php wp_list_comments(); ?>

                </ul>

              </div>        

                <div style="clear"></div>

          </div> 

          <div style="clear"></div>

        </div>    

               <?php echo $after_widget; ?>

        <?php

    }



    /** @see WP_Widget::update */

    function update($new_instance, $old_instance) {				

	$instance = $old_instance;

	$instance['title'] = strip_tags($new_instance['title']);

        return $instance;

    }



    /** @see WP_Widget::form */

    function form($instance) {				

        $title = esc_attr($instance['title']);

         ?>

            <p><label for="<?php echo $this->get_field_id('title'); ?>"><?php _e('Title:'); ?> <input class="widefat" id="<?php echo $this->get_field_id('title'); ?>" name="<?php echo $this->get_field_name('title'); ?>" type="text" value="<?php echo $title; ?>" /></label></p>

	    <?php 

    }



} // class BestTabsPost



add_action('widgets_init', create_function('', 'return register_widget("BestTabsPost");'));





/* ---------------------------- portfolio widget ---------------------------- */



class BestPortfolio extends WP_Widget {

    /** constructor */

    function BestPortfolio() {

        parent::WP_Widget(false, $name = 'Portfolio Post');	

    }



    /** @see WP_Widget::widget */

    function widget($args, $instance) {		

        extract( $args );

        $title = apply_filters('widget_title', $instance['title']);

        $cat = apply_filters('widget_title', $instance['cat']);

        ?>

              <?php echo $before_widget; ?>

                  <?php if ( $title )

                        echo $before_title . $title . $after_title; ?>

      <?php //echo $cat; ?>	

        <div class="boxes" >

            <ul style="background:#303030;">

              <li class="box">            

            <?php query_posts("category_name=".$cat."&showposts=12"); while ( have_posts() ) : the_post() ?>           
			<?php  $image = wp_get_attachment_image_src( get_post_thumbnail_id( $post->ID ), 'thumbnail' ); ?> 


 <?php if($image[0]<>''){ ?> 
	 <div class="col-sm-3" style="padding-bottom:15px;"><a href="<?php the_permalink(); ?>"><img src="<?php echo $image[0]; ?>" alt="<?php the_title(); ?>" width="100%"/></a></div>
<?php } ?> 



            <?php endwhile; ?> 

            <?php wp_reset_query(); ?>	

            <div class="clear"></div>

  	            </li>           

            </ul>

           <div class="clear"></div>

        </div>

            

               <?php echo $after_widget; ?>

        <?php

    }



    /** @see WP_Widget::update */

    function update($new_instance, $old_instance) {				

	$instance = $old_instance;

	$instance['title'] = strip_tags($new_instance['title']);

	$instance['cat'] = strip_tags($new_instance['cat']);

        return $instance;

    }



    /** @see WP_Widget::form */

    function form($instance) {				

        $title = esc_attr($instance['title']);

        $cat = esc_attr($instance['cat']);

         ?>

          <?php //echo $cat; ?>

            <p><label for="<?php echo $this->get_field_id('title'); ?>"><?php _e('Title:'); ?> <input class="widefat" id="<?php echo $this->get_field_id('title'); ?>" name="<?php echo $this->get_field_name('title'); ?>" type="text" value="<?php echo $title; ?>" /></label></p>

            <p><label for="<?php echo $this->get_field_id('cat'); ?>"><?php _e('Category:'); ?> 

            



 <select id="<?php echo $this->get_field_id('cat'); ?>" name="<?php echo $this->get_field_name('cat'); ?>" class="widefat">  

 <?php 

  $categories=  get_categories(); 

  foreach ($categories as $category) {

      if($cat==$category->cat_name){

        $option = '<option value="'.$category->cat_name.'"  selected>'; 

      }else{

        $option = '<option value="'.$category->cat_name.'">';

      }

	$option .= $category->cat_name;

	$option .= '</option>';

	echo $option;

  }

 ?>

</select>           

            

            </label></p>



	    <?php 

    }



} // class BestPortfolio



add_action('widgets_init', create_function('', 'return register_widget("BestPortfolio");'));

	

?>